%define	upstream_name	 Archive-Any
%define upstream_version 0.0946

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Single interface to deal with file archives
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::MMagic)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a single interface for manipulating different archive formats.
Tarballs, zip files, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Archive
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1:0.94.600-3.mga9
+ Revision: 1811583
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1:0.94.600-2.mga8
+ Revision: 1525239
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Apr 06 2019 tv <tv> 1:0.94.600-1.mga7
+ Revision: 1386331
- update to 0.0946

* Wed Sep 19 2018 umeabot <umeabot> 1:0.94.500-2.mga7
+ Revision: 1265692
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 1:0.94.500-1.mga6
+ Revision: 1010565
- update to 0.0945

* Thu Apr 28 2016 shlomif <shlomif> 1:0.94.400-1.mga6
+ Revision: 1007351
- update to 0.0944

* Thu Feb 18 2016 umeabot <umeabot> 1:0.94.200-2.mga6
+ Revision: 966934
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1:0.94.200-1.mga6
+ Revision: 847126
- update to 0.0942

* Wed Oct 15 2014 umeabot <umeabot> 1:0.94.100-3.mga5
+ Revision: 740492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.94.100-2.mga5
+ Revision: 683532
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 1:0.94.100-1.mga5
+ Revision: 583835
- New version 0.0941

* Fri Oct 18 2013 umeabot <umeabot> 1:0.93.200-3.mga4
+ Revision: 509157
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.93.200-2.mga3
+ Revision: 363089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:0.93.200-1.mga1
+ Revision: 31719
- mageia rebuild
- imported package perl-Archive-Any


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.93.200-1mdv2010.1
+ Revision: 504570
- bump epoch
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0932-3mdv2010.0
+ Revision: 430259
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.0932-2mdv2009.0
+ Revision: 268368
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.0932

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.093-2mdv2008.1
+ Revision: 131136
- kill re-definition of %%buildroot on Pixel's request


* Mon Nov 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.093-2mdv2007.0
+ Revision: 87501
- fix buildrequires
- Import perl-Archive-Any

* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.093-1mdv2007.1
- first mdv release

